<template>
  <div class="dashboard-main">
    <!--<iframe
      src="https://console.huaweicloud.com/dlv/vision/share/?id=0b3b4dd2d19249c89991b8989b76e185&locale=zh-cn&region=cn-north-1"
      width="100%"
      height="100%"
      style="border: none;"
      id="myiframe"
      >你的浏览器不支持该iframe标签</iframe
    >-->
    <!-- <el-image :src="url" style="width:100%;height:100%;"></el-image> -->
    正在开发......
  </div>
</template>
<style scoped="scoped" lang="scss">
.dashboard-main {
  width: 100%;
  height: 100%;
  padding: 0 0;
}

.col-info-box {
  padding-left: 15px;
  padding-right: 15px;
}

.info-box {
  display: block;
  min-height: 90px;
  background: #fff;
  width: 100%;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  border-radius: 2px;
  margin-bottom: 15px;
}

.info-box-icon {
  border-top-left-radius: 2px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 2px;
  display: block;
  float: left;
  height: 90px;
  width: 90px;
  text-align: center;
  font-size: 45px;
  line-height: 90px;
  background: rgba(0, 0, 0, 0.2);
}

.info-box-content {
  padding: 5px 10px;
  margin-left: 90px;
  line-height: 1.42857143;
  color: #333;
}

.info-box-text {
  text-transform: uppercase;
  display: block;
  font-size: 14px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.info-box-number {
  display: block;
  font-weight: bold;
  font-size: 18px;
}

.bg-aqua {
  background-color: #00c0ef !important;
  color: #fff !important;
}

.bg-red {
  background-color: #dd4b39 !important;
  color: #fff !important;
}

.bg-green {
  background-color: #00a65a !important;
  color: #fff !important;
}

.bg-yellow {
  background-color: #f39c12 !important;
  color: #fff !important;
}

.line-charts {
  width: 100%;
  background: #fff;
}
</style>
<script>
import { mapGetters } from 'vuex'
import ECharts from 'vue-echarts'
import { sysParam } from '@/config/sysParam'
import { getObj as getSysParam } from '@/api/admin/sys-public-param'

export default {
  name: 'Wel',
  components: {
    'v-chart': ECharts
  },
  data() {
    return {
      line: {
        title: {
          text: '计划与实际产量走势',
          left: 'center'
        },
        tooltip: {
          trigger: 'axis'
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true
        },
        xAxis: {
          type: 'category',
          boundaryGap: false,
          data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日']
        },
        yAxis: {
          type: 'value',
          splitLine: { show: false }
        },
        series: [
          {
            name: '计划',
            type: 'line',
            stack: '总量',
            data: [120, 132, 101, 134, 90, 230, 210],
            smooth: true,
            symbol: 'none',
            itemStyle: {
              normal: { areaStyle: { type: 'default' }, color: '#85C1E9' }
            }
          },
          {
            name: '实际',
            type: 'line',
            stack: '总量',
            data: [220, 182, 191, 234, 290, 330, 310],
            smooth: true,
            symbol: 'none',
            itemStyle: {
              normal: { areaStyle: { type: 'default' }, color: '#BB8FCE' }
            }
          }
        ]
      },

      pie: {
        color: ['#dd4b39', '#13315b', '#36aadb', '#f96e02', '#d2d6de'],
        title: {
          text: '24小时产品生产比例',
          left: 'center'
        },
        series: [
          {
            type: 'pie',
            radius: ['40%', '55%'],
            avoidLabelOverlap: false,
            label: {
              show: false,
              position: 'center'
            },
            emphasis: {
              label: {
                show: true,
                fontSize: '30',
                fontWeight: 'bold'
              }
            },
            labelLine: {
              show: false
            },
            data: [
              { value: 335, name: '铜排护套' },
              { value: 310, name: '挡板' },
              { value: 234, name: '地刀梁' },
              { value: 135, name: '底板装配' },
              { value: 1548, name: '电缆支架' }
            ]
          }
        ]
      },

      bar: {
        title: {
          text: '24小时工序产能情况',
          left: 'center'
        },
        color: ['#3398DB'],
        grid: {
          left: '3%',
          right: '4%',
          bottom: '30%',
          containLabel: true
        },
        xAxis: [
          {
            type: 'category',
            data: [
              '喷涂',
              '冲折焊-喷涂',
              '冲折焊',
              '壳体组装',
              '铜排安装',
              '检验',
              '打包'
            ],
            axisTick: {
              alignWithLabel: true
            }
          }
        ],
        yAxis: [
          {
            type: 'value',
            nameTextStyle: {
              fontSize: 6
            },
            splitLine: { show: false }
          }
        ],
        series: [
          {
            name: '直接访问',
            type: 'bar',
            barWidth: '10%',
            data: [10, 52, 200, 334, 390, 330, 220]
          }
        ]
      },
      fit: 'fill',
      url: ''
    }
  },
  computed: {
    ...mapGetters(['website'])
  },
  created() {
    this.getSysParam(sysParam.SYSTEM_WEL_CONFIG)
  },
  methods: {
    getSysParam(paramKey) {
      this.url = ''
      getSysParam(paramKey).then((response) => {
        var paramVal = response.data.data
        if (response.data.code === 0) {
          if (paramVal != null) {
            this.url = paramVal
          } else {
            this.url = ''
          }
        } else {
          this.url = ''
        }
      })
    }
  }
}
</script>
